

** 28 September 2007 .

** SWEDISH CAMSIS - 1991 CENSUS IN SYK UNITS . 
**  (DATA FROM ROBERT ERIKSON). 

**********************************************************.


define !path1 () 'c:\camsis\countries\sweden\erikson\data\' !enddefine. 
define !path9 () 'c:\temp\' !enddefine. 
**********************************************************.




********************************************************.

** 1) Read in the source data :.



get translate /file=!path1+"erikson_28sep07.dat" /type=tab /fieldnames. 
descriptives var=all.

** 25600 possible m-f combinations (= 160 * 160). 

weight by count. 
descriptives var=all.
weight off. 

** 1219980 individuals in this data. 

select if (count >= 1).
compute pidid = $casenum. 
descriptives var=all.
* 17547 different m/f combinations are represented by one or more couples. 


** Occupation only: .

compute hocc=trunc(hbst / 10). 
compute wocc=trunc(wbst / 10). 

** Class only :.

compute hclass=hbst - 10*(trunc(hbst/10)) .
compute wclass=wbst - 10*(trunc(wbst/10)) .

compute h1gp=trunc(hocc/100) . 
compute w1gp=trunc(wocc/100) .  

add value labels hbst wbst 1 "Working class" 2 "Intermediate class" 3 "Service class" .

variable labels hbst "Husband's occupation and class unit"
       /wbst "Wife's occupation and class unit" 
       /hnum "Husband's ocupation and class, autorecoded (1)" 
       /wnum "Wife's ocupation and class, autorecoded (1)" 
       /h1gp "Husband's major group" 
       /w1gp "Wife's major group".


compute diag1=(hocc=wocc).
variable label diag1 "Husband and wife in same job" . 
 
**************.

** First square autorecode :.

descriptives var=hbst wbst hnum wnum hocc wocc h1gp w1gp hclass wclass. 
sav out=!path9+"file1.sav".
get file=!path9+"file1.sav".
* Generate square autorecoded data :.
sav out=!path9+"mtch1.sav" /keep=pidid 
      hocc hclass hbst hnum h1gp   .
compute pid2=pidid+1000000.
* (assumes no more than 1000000 h-w combinations, need bigger num otherwise).
sav out=!path9+"mtch2.sav" /keep=pid2 
   wocc wclass wbst wnum w1gp   
  /rename (pid2=pidid) 
   ( wocc wclass wbst wnum w1gp   
    = hocc hclass hbst hnum h1gp   ) . 

add files file=!path9+"mtch1.sav" /in=one
   /file=!path9+"mtch2.sav" /in=two  /by=pidid.
autorecode 
     var=hocc hclass hbst hnum h1gp   
    /into= hocc2 hclass2 hbst2 hnum2 h1gp2   .

sav out=!path9+"temp1.sav".
sort cases by pidid.
select if (one=1).
sav out=!path9+"mtch3.sav" /keep=pidid 
  hocc2 hclass2 hbst2 hnum2 h1gp2   .
get file=!path9+"temp1.sav".
sort cases by pidid.
compute pid3=pidid-1000000.
select if (two=1).
sav out=!path9+"mtch4.sav" /keep=pid3 
     hocc2 hclass2 hbst2 hnum2 h1gp2   
     /rename (pid3=pidid) 
   (  hocc2 hclass2 hbst2 hnum2 h1gp2   
   = wocc2 wclass2 wbst2 wnum2 w1gp2   ) .
Get file=!path9+"file1.sav".
match files file=* /file=!path9+"mtch3.sav" /file=!path9+"mtch4.sav" /by=pidid.

variable labels hbst2 "Husband's occupation and class unit"
       /wbst2 "Wife's occupation and class unit" 
       /hnum2 "Husband's ocupation and class, Sw" 
       /wnum2 "Wife's ocupation and class, Sw" 
       /hocc2 "Husband's ocupation" 
       /wocc2 "Wife's ocupation" 
       /hclass2 "Husband's ocupation" 
       /wclass2 "Wife's ocupation" 
       /h1gp2 "Husband's major group" 
       /w1gp2 "Wife's major group".
descriptives var=all.

**************.


** Summary data :.


weight by count. 
tables /ftotal=ftot1 "Total" /tables(labels) + ftot1 by diag1 > (hbst2 + wbst2) 
     /statistics count ((F5.0) ' Cases ') 
     /title "Occupations with class groups, SYK codes". 
tables /ftotal=ftot1 "Total" /tables(labels) + ftot1 by diag1 > (hnum2 + wnum2) 
     /statistics count ((F5.0) ' Cases ') 
     /title "Occupations with class groups, sequential codes". 
tables /ftotal=ftot1 "Total" /tables(labels) + ftot1 by diag1 > (hocc2 + wocc2) 
     /statistics count ((F5.0) ' Cases ') 
     /title "Occupational units". 
tables /ftotal=ftot1 "Total" /tables(labels) + ftot1 by diag1 > (hclass2 + wclass2) 
     /statistics count ((F5.0) ' Cases ') 
     /title "Class groups". 
tables /ftotal=ftot1 "Total" /tables(labels) + ftot1 by diag1 > (h1gp2 + w1gp2) 
     /statistics count ((F5.0) ' Cases ') 
     /title "Major groups". 
weight off. 


*** # Unique values:. 
** {h/w}bst2 = 160 .
** {h/w}num2 = 160 . 
** {h/w}occ2 = 103 . 
** {h/w}class2 = 3 . 
** {h/w}1gp2 = 10 . 




sav out=!path1+"hwfile1.sav". 


*****************************************************.





*****************************************************.
********************************************************.
** .

** 2) CORRESPONDENCE ANALYSIS  .




***********************************************.
*** 2.1): CA USING ALL CASES . 


**.

get file=!path1+"hwfile1.sav". 


***********************.
** i) Major groups:. 

weight by count.
tables /format blank missing ('.') /ftotal=ftot1 "Total"
  /tables (labels) + ftot1 by  (h1gp2 + w1gp2) 
  /statistics count ((F5.0) ' Cases '). 
anacor table=h1gp2 (1,10) by w1gp2 (1,10) 
  /normalisation=canonical /print=scores.
correspondence table=h1gp2 (1,10) by w1gp2 (1,10) 
  /dimensions=2 /measure=chisq 
  /standardize=rcmean /normalization=symmetrical
  /print=table rpoint cpoint  /plot=ndim(1,max) biplot(20).
weight off.

* Seems to be a basic stratification ordering. 
* Main outliers at this stage are farmers .



**********************.
** ii) classes . 

weight by count.
tables /format blank missing ('.') /ftotal=ftot1 "Total"
  /tables (labels) + ftot1 by  (hclass2 + wclass2) 
  /statistics count ((F5.0) ' Cases '). 
anacor table=hclass2 (1,3) by wclass(1,3) 
  /normalisation=canonical /print=scores.
correspondence table=hclass2 (1,3) by wclass2 (1,3) 
  /dimensions=2 /measure=chisq 
  /standardize=rcmean /normalization=symmetrical
  /print=table rpoint cpoint  /plot=ndim(1,max) biplot(20).
weight off.

* A clear class gradient for both m and f. 
* The gaps between classes are marginally bigger for women than for men - but little difference. 


***********************.
** iii) occupations .

weight by count.
tables /format blank missing ('.') /ftotal=ftot1 "Total"
  /tables (labels) + ftot1 by  (hocc2 + wocc2) 
  /statistics count ((F5.0) ' Cases '). 
anacor table=hocc2 (1,103) by wocc2(1,103) 
  /normalisation=canonical /print=scores.
correspondence table=hocc2 (1,103) by wocc2 (1,103) 
  /dimensions=2 /measure=chisq 
  /standardize=rcmean /normalization=symmetrical
  /print=table rpoint cpoint  /plot=ndim(1,max) biplot(20).
weight off.


** seems to show a basic stratification gradient in dimension two; dimension 1 is farmers v's 
** not farmers. 
* . 



***********************.
** iv) occupation by class .

weight by count.
tables /format blank missing ('.') /ftotal=ftot1 "Total"
  /tables (labels) + ftot1 by  (hbst2 + wbst2) 
  /statistics count ((F5.0) ' Cases '). 
anacor table=hbst2 (1,160) by wbst2(1,160) 
  /normalisation=canonical /print=scores.
correspondence table=hbst2 (1,160) by wbst2 (1,160) 
  /dimensions=2 /measure=chisq 
  /standardize=rcmean /normalization=symmetrical
  /print=table rpoint cpoint  /plot=ndim(1,max) biplot(20).
weight off.


* Seems to have same patterns as in (iii) - a basic stratification gradient in dimension two; 
* dimension 1 is farmers v's  not farmers.  



** Summary on models (2.1) : 

** Farming diagonals dominate most models; 
* Experience suggests that it will be useful to cut out all occupational diagonals,
*  as well as major group six diagonals, from models in order to separate the stratification
*  effect on homogamy from the effect of structural connections between occupations .  

*********************************************************.
***********************************************************.






***********************************************.
*** 2.2): CA USING ALL CASES . 


**.

get file=!path1+"hwfile1.sav". 

compute diocc=(hocc=wocc).
compute farm=(h1gp=6 & w1gp=6).
compute prob1=(farm=1 | diocc=1).
weight by count. 
fre var=diocc farm prob1. 
cro diocc by farm.
weight off. 



** In total we will exclude: 

* 238435 h-w combinations because they are the same occupation; 
* 16982 h-w combinations because they are both in the farming major group; 
** in combination, this amounts to 239356 exclusions which have either one and/or the other. 


** => Original N = 1219980; Sample (2.1) N = 980624 . 



***********************.
** i) Major groups:. 

weight by count.
tables /format blank missing ('.') /ftotal=ftot1 "Total"
  /tables (labels) + ftot1 by  prob1 > (h1gp2 + w1gp2) 
  /statistics count ((F5.0) ' Cases '). 
temp.
select if (prob1=0).
anacor table=h1gp2 (1,10) by w1gp2(1,10) 
  /normalisation=canonical /print=scores.
temp.
select if (prob1=0).
correspondence table=h1gp2 (1,10) by w1gp2 (1,10) 
  /dimensions=2 /measure=chisq 
  /standardize=rcmean /normalization=symmetrical
  /print=table rpoint cpoint  /plot=ndim(1,max) biplot(20).
weight off.

* Seems to be a fairly clear stratification gradient, and has removed farming exceptionalism .



**********************.
** ii) classes . 

weight by count.
tables /format blank missing ('.') /ftotal=ftot1 "Total"
  /tables (labels) + ftot1 by  prob1 > (hclass2 + wclass2) 
  /statistics count ((F5.0) ' Cases '). 
temp.
select if (prob1=0).
anacor table=hclass2 (1,3) by wclass(1,3) 
  /normalisation=canonical /print=scores.
temp.
select if (prob1=0).
correspondence table=hclass2 (1,3) by wclass2 (1,3) 
  /dimensions=2 /measure=chisq 
  /standardize=rcmean /normalization=symmetrical
  /print=table rpoint cpoint  /plot=ndim(1,max) biplot(20).
weight off.

* A clear class gradient for both m and f. 
* The gaps between classes are marginally bigger for women than for men - but little difference. 


***********************.
** iii) occupations .

weight by count.
tables /format blank missing ('.') /ftotal=ftot1 "Total"
  /tables (labels) + ftot1 by  prob1 > (hocc2 + wocc2) 
  /statistics count ((F5.0) ' Cases '). 
temp.
select if (prob1=0).
anacor table=hocc2 (1,103) by wocc2(1,103) 
  /normalisation=canonical /print=scores.
temp.
select if (prob1=0).
correspondence table=hocc2 (1,103) by wocc2 (1,103) 
  /dimensions=2 /measure=chisq 
  /standardize=rcmean /normalization=symmetrical
  /print=table rpoint cpoint  /plot=ndim(1,max) biplot(20).
weight off.


** seems to show a basic stratification gradient in dimension one; there aren't 
**  at first sight any very problematic outlying combinations. 




***********************.
** iv) occupation by class .

weight by count.
tables /format blank missing ('.') /ftotal=ftot1 "Total"
  /tables (labels) + ftot1 by  prob1 > (hbst2 + wbst2) 
  /statistics count ((F5.0) ' Cases '). 
temp.
select if (prob1=0).
anacor table=hbst2 (1,160) by wbst2(1,160) 
  /normalisation=canonical /print=scores.
temp.
select if (prob1=0).
correspondence table=hbst2 (1,160) by wbst2 (1,160) 
  /dimensions=2 /measure=chisq 
  /standardize=rcmean /normalization=symmetrical
  /print=table rpoint cpoint  /plot=ndim(1,max) biplot(20).
weight off.


* Again this seems to be a fairly robust stratification dimension 1. 
* The U shape of the 2dim plot is quite distinctive - it could suggest that
*  a different linearisation is worth considering. 



** Summary on models 2 : 

** Partialing out farming seems to have generated quite a robust set of stratification 
*    scales .  


*** Next stage to fit this in lem, lEM models will probably reveal certain occupational 
*    combinations which are best thought of as pseudo-diagonals and excluded from analysis 
*   (e.g. doctors and nurses, etc). 


*********************************************************.
***********************************************************.



** => lEM dataset prepartion and analysis. 

***********************************************************.

